import QtQuick 1.0

Item {
    //----------- Application Global Variable -------------------------------
    property int appUIHeight: 854//topBar.height + homePage.height + bottomMenu.height
    property int appUIWidth: homePage.width

    property int appIfLoadCuisines: 0

    property int appInLoading: 1

    property string currentPage: "home"
    property string homeCurrentPage: "home"
    property string topTenCurrentPage: "topTen"
    property string favouritesCurrentPage: "favourites"
    property string searchCurrentPage: "search"
    property string homeEditorialsCurrentPage: "home"
    property string nearbySelectedPage: ""

    //----------- Home Page Recorder ----------------------------------------
    property string firstLevelSelection: ""
    property string secondLevelSelection: ""
    property string thirdLevelSelection: ""
    property string searchPageSelection: ""
    property string favouritesPageSelection: ""
    property string topTenPageSelection: ""
    property bool ifExistFlag: false

    onCurrentPageChanged: {
        if(currentPage == "favourites")
        {
            topBar.showEditButton();
        }
        else
        {
            topBar.hideEditButton();
            topBar.hideDoneButton();

            favouritesPage.onDeleteState = false;
        }
    }

    onIfExistFlagChanged: {
        if(currentPage == "favouritesRestaurantsDetail")
        {
            favouritesRestaurantsDetail.changeFavouriteButton();
        }
        else if(currentPage == "favouritesBarsClubsDetail")
        {
            favouritesBarsClubsDetail.changeFavouriteButton()
        }
        else if(currentPage == "favouritesHotelDetail")
        {
            favouritesHotelDetail.changeFavouriteButton()
        }
    }

    //----------- Internal Advertisement --------------------------------------
        property string adApiUrl: "";
        property string adImageUrl: "";

        function setAdUrl(apiUrl, imageUrl)
        {
            adApiUrl = apiUrl;
            adImageUrl = imageUrl;

        console.log("imageUrl: " + imageUrl);
        }
}


