import QtQuick 1.0

Rectangle {
    id: topBar

    function showBackButton()
    {
        topBarBackButton.state = "show"
    }

    function hideBackButton()
    {
        topBarBackButton.state = "hide"
    }

    function backHomeCurrentPage()
    {
        if(glValue.homeCurrentPage == "homePageParentFilter")
        {
            glValue.currentPage = "home";
            glValue.homeCurrentPage = "home";

            homePageParentFilter.hidePageToRight()
            homePage.showPageFromLeft()
            hideBackButton()
        }
        else if(glValue.homeCurrentPage == "homePageSpecialFilter")
        {
            glValue.currentPage = "homePageParentFilter"
            glValue.homeCurrentPage = "homePageParentFilter"

            homePageSpecialFilter.hidePageToRight()
            homePageParentFilter.showPageFromLeft()
        }
        //verson 2.0
        else if(glValue.homeCurrentPage == "resultListing")
        {
            if(resultListing.fromWhichPage == "parent") {
                glValue.currentPage = "homePageParentFilter"
                glValue.homeCurrentPage = "homePageParentFilter"

                resultListing.hidePageToRight()
                homePageParentFilter.showPageFromLeft()
                resultListing.resetAllData()
            }
            else if(resultListing.fromWhichPage == "special") {
                glValue.currentPage = "homePageSpecialFilter"
                glValue.homeCurrentPage = "homePageSpecialFilter"

                homePageSpecialFilter.checkSelected();

                resultListing.hidePageToRight()
                homePageSpecialFilter.showPageFromLeft()
                resultListing.resetAllData()
            }
        }
        else if(glValue.homeCurrentPage == "restaurantsDetail")
        {
            glValue.currentPage = "resultListing"
            glValue.homeCurrentPage = "resultListing"

            restaurantsDetail.hidePageToRight()
            resultListing.showPageFromLeft()
            restaurantsDetail.resetData()
        }
        else if(glValue.homeCurrentPage == "barsClubsDetail")
        {
            glValue.currentPage = "resultListing"
            glValue.homeCurrentPage = "resultListing"

            barsClubsDetail.hidePageToRight()
            resultListing.showPageFromLeft()
            barsClubsDetail.resetData()
        }
        else if(glValue.homeCurrentPage == "nightlifeMusicDetail")
        {
            glValue.currentPage = "resultListing"
            glValue.homeCurrentPage = "resultListing"

            nightlifeMusicDetail.hidePageToRight()
            resultListing.showPageFromLeft()
            nightlifeMusicDetail.resetData()
        }
        else if(glValue.homeCurrentPage == "nightlifeDetailVenuePage")
        {
            glValue.currentPage = "nightlifeMusicDetail"
            glValue.homeCurrentPage = "nightlifeMusicDetail"

            nightlifeDetailVenuePage.hidePageToRight()
            nightlifeMusicDetail.showPageFromLeft()
            nightlifeDetailVenuePage.resetData()
        }
        else if(glValue.homeCurrentPage == "filmDetail")
        {
            glValue.currentPage = "resultListing"
            glValue.homeCurrentPage = "resultListing"

            filmDetail.item.hidePageToRight()
            resultListing.showPageFromLeft()
            filmDetail.item.resetData()
        }
        else if(glValue.homeCurrentPage == "filmShowHere")
        {
            glValue.currentPage = "filmDetail"
            glValue.homeCurrentPage = "filmDetail"

            filmShowHereLoader.item.hidePageToRight()
            filmDetail.item.showPageFromLeft()
            filmShowHereLoader.item.resetData()
        }
        else if(glValue.homeCurrentPage == "cinemaDetial")
        {
            glValue.currentPage = "filmShowHere"
            glValue.homeCurrentPage = "filmShowHere"

            cinemaDetailLoader.item.hidePageToRight()
            filmShowHereLoader.item.showPageFromLeft()
            cinemaDetailLoader.item.resetData()
        }
        else if(glValue.homeCurrentPage == "cinemaMap")
        {
            glValue.currentPage = "cinemaDetial"
            glValue.homeCurrentPage = "cinemaDetial"

            cinemaMapLoader.item.hidePageToRight()
            cinemaDetailLoader.item.showPageFromLeft()
            cinemaMapLoader.item.resetData()
        }
        else if(glValue.homeCurrentPage == "hotelDetail")
        {
            glValue.currentPage = "resultListing"
            glValue.homeCurrentPage = "resultListing"

            hotelDetail.hidePageToRight()
            resultListing.showPageFromLeft()
            hotelDetail.resetData()
        }
        else if(glValue.homeCurrentPage == "editorialsPage")
        {
            glValue.currentPage = "home"
            glValue.homeCurrentPage = "home"

            editorialsPage.hidePageToRight()
            homePage.showPageFromLeft()
            hideBackButton()
        }
        else if(glValue.homeCurrentPage == "editorialsFilmDetail")
        {
            if(editorialsFilmDetail.item.fromWhichPage == "home")
            {
                glValue.currentPage = "home";
                glValue.homeCurrentPage = "home";

                editorialsFilmDetail.item.hidePageToRight();
                homePage.showPageFromLeft();
                hideBackButton();
            }
            else if(editorialsFilmDetail.item.fromWhichPage == "editorials")
            {
                glValue.currentPage = "editorialsPage";
                glValue.homeCurrentPage = "editorialsPage";

                editorialsFilmDetail.item.hidePageToRight();
                editorialsPage.showPageFromLeft();
            }
        }
        else if(glValue.homeCurrentPage == "editorialsFilmShowHere")
        {
            glValue.currentPage = "editorialsFilmDetail"
            glValue.homeCurrentPage = "editorialsFilmDetail"

            editorialsFilmShowHereLoader.item.hidePageToRight()
            editorialsFilmDetail.item.showPageFromLeft()
            editorialsFilmShowHereLoader.item.resetData()
        }
        else if(glValue.homeCurrentPage == "editorialsCinemaDetail")
        {
            glValue.currentPage = "editorialsFilmShowHere"
            glValue.homeCurrentPage = "editorialsFilmShowHere"

            editorialsCinemaDetailLoader.item.hidePageToRight()
            editorialsFilmShowHereLoader.item.showPageFromLeft()
            editorialsCinemaDetailLoader.item.resetData()
        }
        else if(glValue.homeCurrentPage == "editorialsCinemaMap")
        {
            glValue.currentPage = "editorialsCinemaDetail"
            glValue.homeCurrentPage = "editorialsCinemaDetail"

            editorialsCinemaMapLoader.item.hidePageToRight()
            editorialsCinemaDetailLoader.item.showPageFromLeft()
            editorialsCinemaMapLoader.item.resetData()
        }
        else if(glValue.homeCurrentPage == "editorialsDetail")
        {
            glValue.currentPage = "editorialsPage"
            glValue.homeCurrentPage = "editorialsPage"

            editorialsDetail.hidePageToRight()
            editorialsPage.showPageFromLeft()
            editorialsDetail.resetData()
        }
        else if(glValue.homeCurrentPage == "mapsHomePage")
        {

            glValue.currentPage = "restaurantsDetail"
            glValue.homeCurrentPage = "restaurantsDetail"

            mapsHomePage.hidePageToRight()
            restaurantsDetail.showPageFromLeft()
            mapsHomePage.resetData()
        }
        else if(glValue.homeCurrentPage == "mapsHomePageBarsClubs")
        {
            glValue.currentPage = "barsClubsDetail"
            glValue.homeCurrentPage = "barsClubsDetail"

            mapsHomePage.hidePageToRight()
            barsClubsDetail.showPageFromLeft()
            mapsHomePage.resetData()
        }
        else if(glValue.homeCurrentPage == "mapsHomePageNightLife")
        {
            glValue.currentPage = "nightlifeMusicDetail"
            glValue.homeCurrentPage = "nightlifeMusicDetail"

            mapsHomePage.hidePageToRight()
            nightlifeMusicDetail.showPageFromLeft()
            mapsHomePage.resetData()
        }
        else if(glValue.homeCurrentPage == "mapsHomePageNightLifeVenuePage")
        {
            glValue.currentPage = "nightlifeDetailVenuePage"
            glValue.homeCurrentPage = "nightlifeDetailVenuePage"

            mapsHomePage.hidePageToRight()
            nightlifeDetailVenuePage.showPageFromLeft()
            mapsHomePage.resetData()
        }
        else if(glValue.homeCurrentPage == "mapsHomePageHotel")
        {
            glValue.currentPage = "hotelDetail"
            glValue.homeCurrentPage = "hotelDetail"

            mapsHomePage.hidePageToRight()
            hotelDetail.showPageFromLeft()
            mapsHomePage.resetData()
        }

        else if(glValue.homeCurrentPage == "nearbyList")
        {
            if(glValue.nearbySelectedPage == "restaurantsDetail")
            {
                glValue.currentPage = "restaurantsDetail"
                glValue.homeCurrentPage = "restaurantsDetail"

                nearbyList.hidePageToRight()
                nearbyList.resetData()
                restaurantsDetail.showPageFromLeft()
            }
            else if(glValue.nearbySelectedPage == "barsClubsDetail")
            {
                glValue.currentPage = "barsClubsDetail"
                glValue.homeCurrentPage = "barsClubsDetail"

                nearbyList.hidePageToRight()
                nearbyList.resetData()
                barsClubsDetail.showPageFromLeft()
            }
        }
    }

    function backTopTenCurrentPage()
    {
        console.log(glValue.topTenCurrentPage)

        if(glValue.topTenCurrentPage == "topTenRestaurantsDetail")
        {
            glValue.currentPage = "topTen";
            glValue.topTenCurrentPage = "topTen";

            topTenRestaurantsDetail.hidePageToRight()
            topTenPage.showPageFromLeft()
            topTenRestaurantsDetail.resetData()
            hideBackButton()
        }
        else if(glValue.topTenCurrentPage == "topTenBarsClubsDetail")
        {
            glValue.currentPage = "topTen";
            glValue.topTenCurrentPage = "topTen";

            topTenBarsClubsDetail.hidePageToRight()
            topTenPage.showPageFromLeft()
            topTenBarsClubsDetail.resetData()
            hideBackButton()
        }
        else if(glValue.topTenCurrentPage == "topTenHotelDetail")
        {
            glValue.currentPage = "topTen";
            glValue.topTenCurrentPage = "topTen";

            topTenHotelDetail.hidePageToRight()
            topTenPage.showPageFromLeft()
            topTenHotelDetail.resetData()
            hideBackButton()
        }
        else if(glValue.topTenCurrentPage == "topTenFilmDetail")
        {
            glValue.currentPage = "topTen";
            glValue.topTenCurrentPage = "topTen";

            topTenFilmDetail.item.hidePageToRight()
            topTenPage.showPageFromLeft()
            topTenFilmDetail.item.resetData()
            hideBackButton()
        }
        else if(glValue.topTenCurrentPage == "topTenFilmShowHere")
        {
            glValue.currentPage = "topTenFilmDetail";
            glValue.topTenCurrentPage = "topTenFilmDetail";

            topTenFilmShowHereLoader.item.hidePageToRight()
            topTenFilmDetail.item.showPageFromLeft()
            topTenFilmShowHereLoader.item.resetData()
        }
        else if(glValue.topTenCurrentPage == "topTenNightlifeMusicDetail")
        {
            glValue.currentPage = "topTen";
            glValue.topTenCurrentPage = "topTen";

            topTenNightlifeMusicDetail.hidePageToRight()
            topTenPage.showPageFromLeft()
            topTenNightlifeMusicDetail.resetData()
            hideBackButton()
        }

        else if(glValue.topTenCurrentPage == "topTenNightlifeDetailVenuePage")
        {
            glValue.currentPage = "topTenNightlifeMusicDetail";
            glValue.topTenCurrentPage = "topTenNightlifeMusicDetail";

            topTenNightlifeDetailVenuePage.hidePageToRight()
            topTenNightlifeMusicDetail.showPageFromLeft()
            topTenNightlifeDetailVenuePage.resetData()
        }

        else if(glValue.topTenCurrentPage == "mapsTopTenHotelDetail")
        {
            console.log(glValue.topTenPageSelection)
            if(glValue.topTenPageSelection == "restaurants")
            {
                glValue.currentPage = "topTenRestaurantsDetail";
                glValue.topTenCurrentPage = "topTenRestaurantsDetail";

                mapsTopTenHotelDetail.hidePageToRight()
                topTenRestaurantsDetail.showPageFromLeft()
                mapsTopTenHotelDetail.resetData()
            }
            else if(glValue.topTenPageSelection == "barsclubs")
            {
                glValue.currentPage = "topTenBarsClubsDetail";
                glValue.topTenCurrentPage = "topTenBarsClubsDetail";

                mapsTopTenHotelDetail.hidePageToRight()
                topTenBarsClubsDetail.showPageFromLeft()
                mapsTopTenHotelDetail.resetData()
            }
            else if(glValue.topTenPageSelection == "hotels")
            {
                glValue.currentPage = "topTenHotelDetail";
                glValue.topTenCurrentPage = "topTenHotelDetail";

                mapsTopTenHotelDetail.hidePageToRight()
                topTenHotelDetail.showPageFromLeft()
                mapsTopTenHotelDetail.resetData()
            }
            else if(glValue.topTenPageSelection == "Films")
            {
                glValue.currentPage = "topTenFilmDetail";
                glValue.topTenCurrentPage = "topTenFilmDetail";

                mapsTopTenHotelDetail.hidePageToRight()
                topTenFilmDetail.showPageFromLeft()
                mapsTopTenHotelDetail.resetData()
            }
            else if(glValue.topTenPageSelection == "nightlife")
            {
                glValue.currentPage = "topTenNightlifeMusicDetail";
                glValue.topTenCurrentPage = "topTenNightlifeMusicDetail";

                mapsTopTenHotelDetail.hidePageToRight()
                topTenNightlifeMusicDetail.showPageFromLeft()
                mapsTopTenHotelDetail.resetData()
            }
            else if(glValue.topTenPageSelection == "topTenNightlifeDetailVenuePage")
            {
                glValue.currentPage = "topTenNightlifeDetailVenuePage";
                glValue.topTenCurrentPage = "topTenNightlifeDetailVenuePage";
                glValue.topTenPageSelection = "nightlife"

                mapsTopTenHotelDetail.hidePageToRight()
                topTenNightlifeDetailVenuePage.showPageFromLeft()
                mapsTopTenHotelDetail.resetData()
            }
        }

        else if(glValue.topTenCurrentPage == "topTenNearbyList")
        {
            if(glValue.nearbySelectedPage == "topTenRestaurantsDetail")
            {
                glValue.currentPage = "topTenRestaurantsDetail";
                glValue.topTenCurrentPage = "topTenRestaurantsDetail";

                topTenNearbyList.hidePageToRight()
                topTenRestaurantsDetail.showPageFromLeft()
                topTenNearbyList.resetData()
            }
            else if(glValue.nearbySelectedPage == "topTenBarsClubsDetail")
            {
                glValue.currentPage = "topTenBarsClubsDetail";
                glValue.topTenCurrentPage = "topTenBarsClubsDetail";

                topTenNearbyList.hidePageToRight()
                topTenBarsClubsDetail.showPageFromLeft()
                topTenNearbyList.resetData()
            }
        }
    }

    function backFavouritesCurrentPage()
    {
        if(glValue.favouritesCurrentPage == "favouritesRestaurantsDetail")
        {
            glValue.currentPage = "favourites"
            glValue.favouritesCurrentPage = "favourites"

            favouritesRestaurantsDetail.hidePageToRight()
            favouritesPage.showPageFromLeft()
            favouritesRestaurantsDetail.resetData()
            sql.sendFavouritesInfo()
            hideBackButton()
        }
        else if(glValue.favouritesCurrentPage == "favouritesBarsClubsDetail")
        {
            glValue.currentPage = "favourites"
            glValue.favouritesCurrentPage = "favourites"

            favouritesBarsClubsDetail.hidePageToRight()
            favouritesPage.showPageFromLeft()
            favouritesBarsClubsDetail.resetData()
            sql.sendFavouritesInfo()
            hideBackButton()
        }
        else if(glValue.favouritesCurrentPage == "favouritesHotelDetail")
        {
            glValue.currentPage = "favourites"
            glValue.favouritesCurrentPage = "favourites"

            favouritesHotelDetail.hidePageToRight()
            favouritesPage.showPageFromLeft()
            favouritesHotelDetail.resetData()
            sql.sendFavouritesInfo()
            hideBackButton()
        }
        else if(glValue.favouritesCurrentPage == "favouritesNightLifeDetail")
        {
            glValue.currentPage = "favourites"
            glValue.favouritesCurrentPage = "favourites"

            favouritesNightLifeDetail.hidePageToRight()
            favouritesPage.showPageFromLeft()
            favouritesNightLifeDetail.resetData()
            sql.sendFavouritesInfo()
            hideBackButton()
        }
        else if(glValue.favouritesCurrentPage == "favouritesPageNightlifeDetailVenuePage")
        {
            glValue.currentPage = "favouritesNightLifeDetail"
            glValue.favouritesCurrentPage = "favouritesNightLifeDetail"

            favouritesPageNightlifeDetailVenuePage.hidePageToRight()
            favouritesNightLifeDetail.showPageFromLeft()
            favouritesPageNightlifeDetailVenuePage.resetData()
        }
        else if(glValue.favouritesCurrentPage == "mapsFavouritesHotelDetail")
        {
            if(glValue.favouritesPageSelection == "Restaurant")
            {
                glValue.currentPage = "favouritesRestaurantsDetail"
                glValue.favouritesCurrentPage = "favouritesRestaurantsDetail"

                mapsFavouritesHotelDetail.hidePageToRight()
                favouritesRestaurantsDetail.showPageFromLeft()
                mapsFavouritesHotelDetail.resetData()
            }
            else if(glValue.favouritesPageSelection == "BarsClubs")
            {
                glValue.currentPage = "favouritesBarsClubsDetail"
                glValue.favouritesCurrentPage = "favouritesBarsClubsDetail"

                mapsFavouritesHotelDetail.hidePageToRight()
                favouritesBarsClubsDetail.showPageFromLeft()
                mapsFavouritesHotelDetail.resetData()
            }
            else if(glValue.favouritesPageSelection == "Hotels")
            {
                glValue.currentPage = "favouritesHotelDetail"
                glValue.favouritesCurrentPage = "favouritesHotelDetail"

                mapsFavouritesHotelDetail.hidePageToRight()
                favouritesHotelDetail.showPageFromLeft()
                mapsFavouritesHotelDetail.resetData()
            }
            else if(glValue.favouritesPageSelection == "NightLife")
            {
                glValue.currentPage = "favouritesNightLifeDetail"
                glValue.favouritesCurrentPage = "favouritesNightLifeDetail"

                mapsFavouritesHotelDetail.hidePageToRight()
                favouritesNightLifeDetail.showPageFromLeft()
                mapsFavouritesHotelDetail.resetData()
            }
            else if(glValue.favouritesPageSelection == "favouritesPageNightlifeDetailVenuePage")
            {
                glValue.currentPage = "favouritesPageNightlifeDetailVenuePage"
                glValue.favouritesCurrentPage = "favouritesPageNightlifeDetailVenuePage"
                glValue.favouritesPageSelection = "NightLife"

                mapsFavouritesHotelDetail.hidePageToRight()
                favouritesPageNightlifeDetailVenuePage.showPageFromLeft()
                mapsFavouritesHotelDetail.resetData()
            }
        }

        else if(glValue.favouritesCurrentPage == "favouritesPageNearbyList")
        {
            if(glValue.nearbySelectedPage == "favouritesRestaurantsDetail")
            {
                glValue.currentPage = "favouritesRestaurantsDetail"
                glValue.favouritesCurrentPage = "favouritesRestaurantsDetail"

                favouritesPageNearbyList.hidePageToRight()
                favouritesRestaurantsDetail.showPageFromLeft()
                favouritesPageNearbyList.resetData()
            }
            else if(glValue.nearbySelectedPage == "favouritesBarsClubsDetail")
            {
                glValue.currentPage = "favouritesBarsClubsDetail"
                glValue.favouritesCurrentPage = "favouritesBarsClubsDetail"

                favouritesPageNearbyList.hidePageToRight()
                favouritesBarsClubsDetail.showPageFromLeft()
                favouritesPageNearbyList.resetData()
            }
        }
    }

    function backSearchCurrentPage()
    {
        if(glValue.searchCurrentPage == "searchPageParenFilter")
        {
            glValue.currentPage = "search"
            glValue.searchCurrentPage = "search"

            searchPageParenFilter.hidePageToRight()
            searchPage.showPageFromLeft()
            hideBackButton()
        }
        else if(glValue.searchCurrentPage == "searchPageResultListing")
        {
            glValue.currentPage = "searchPageParenFilter"
            glValue.searchCurrentPage = "searchPageParenFilter"

            searchPageResultListing.hidePageToRight()
            searchPageParenFilter.showPageFromLeft()
            searchPageResultListing.resetAllData()
        }
        else if(glValue.searchCurrentPage == "searchPageRestaurantsDetail")
        {
            glValue.currentPage = "searchPageResultListing"
            glValue.searchCurrentPage = "searchPageResultListing"

            searchPageRestaurantsDetail.hidePageToRight()
            searchPageResultListing.showPageFromLeft()
            searchPageRestaurantsDetail.resetData()
        }
        else if(glValue.searchCurrentPage == "searchPageBarsClubsDetail")
        {
            glValue.currentPage = "searchPageResultListing"
            glValue.searchCurrentPage = "searchPageResultListing"

            searchPageBarsClubsDetail.hidePageToRight()
            searchPageResultListing.showPageFromLeft()
            searchPageBarsClubsDetail.resetData()
        }
        else if(glValue.searchCurrentPage == "searchPageHotelDetail")
        {
            glValue.currentPage = "searchPageResultListing"
            glValue.searchCurrentPage = "searchPageResultListing"

            searchPageHotelDetail.hidePageToRight()
            searchPageResultListing.showPageFromLeft()
            searchPageHotelDetail.resetData()
        }
        else if(glValue.searchCurrentPage == "searchPageFilmDetail")
        {
            glValue.currentPage = "searchPageResultListing"
            glValue.searchCurrentPage = "searchPageResultListing"

            searchPageFilmDetail.item.hidePageToRight()
            searchPageResultListing.showPageFromLeft()
            searchPageFilmDetail.item.resetData()
        }
        else if(glValue.searchCurrentPage == "searchPageFilmShowHere")
        {
            glValue.currentPage = "searchPageFilmDetail"
            glValue.searchCurrentPage = "searchPageFilmDetail"

            searchPageFilmShowHereLoader.item.hidePageToRight()
            searchPageFilmDetail.item.showPageFromLeft()
            searchPageFilmShowHereLoader.item.resetData()
        }
        else if(glValue.searchCurrentPage == "searchPageCinemaDetial")
        {
            glValue.currentPage = "searchPageFilmShowHere"
            glValue.searchCurrentPage = "searchPageFilmShowHere"

            searchPageCinemaDetailLoader.item.hidePageToRight()
            searchPageFilmShowHereLoader.item.showPageFromLeft()
            searchPageCinemaDetailLoader.item.resetData()
        }
        else if(glValue.searchCurrentPage == "searchPageCinemaMap")
        {
            glValue.currentPage = "searchPageCinemaDetial"
            glValue.searchCurrentPage = "searchPageCinemaDetial"

            searchPageCinemaMapLoader.item.hidePageToRight()
            searchPageCinemaDetailLoader.item.showPageFromLeft()
            searchPageCinemaMapLoader.item.resetData()
        }
        else if(glValue.searchCurrentPage == "searchPageNightLifeDetail")
        {
            glValue.currentPage = "searchPageResultListing"
            glValue.searchCurrentPage = "searchPageResultListing"

            searchPageNightLifeDetail.hidePageToRight()
            searchPageResultListing.showPageFromLeft()
            searchPageNightLifeDetail.resetData()
        }
        else if(glValue.searchCurrentPage == "searchPageNightlifeDetailVenuePage")
        {
            glValue.currentPage = "searchPageNightLifeDetail"
            glValue.searchCurrentPage = "searchPageNightLifeDetail"

            searchPageNightlifeDetailVenuePage.hidePageToRight()
            searchPageNightLifeDetail.showPageFromLeft()
            searchPageNightlifeDetailVenuePage.resetData()
        }
        else if(glValue.searchCurrentPage == "mapsSearchPageHotelDetail")
        {
            if(glValue.searchPageSelection == "Restaurants")
            {
                glValue.currentPage = "searchPageRestaurantsDetail"
                glValue.searchCurrentPage = "searchPageRestaurantsDetail"

                mapsSearchPageHotelDetail.hidePageToRight()
                searchPageRestaurantsDetail.showPageFromLeft()
                mapsSearchPageHotelDetail.resetData()
            }
            else if(glValue.searchPageSelection == "Bars & Clubs")
            {
                glValue.currentPage = "searchPageBarsClubsDetail"
                glValue.searchCurrentPage = "searchPageBarsClubsDetail"

                mapsSearchPageHotelDetail.hidePageToRight()
                searchPageBarsClubsDetail.showPageFromLeft()
                mapsSearchPageHotelDetail.resetData()
            }
            else if(glValue.searchPageSelection == "Nightlife & Music")
            {
                glValue.currentPage = "searchPageNightLifeDetail"
                glValue.searchCurrentPage = "searchPageNightLifeDetail"

                mapsSearchPageHotelDetail.hidePageToRight()
                searchPageNightLifeDetail.showPageFromLeft()
                mapsSearchPageHotelDetail.resetData()
            }
            else if(glValue.searchPageSelection == "Films")
            {
                glValue.currentPage = "searchPageFilmDetail"
                glValue.searchCurrentPage = "searchPageFilmDetail"

                mapsSearchPageHotelDetail.hidePageToRight()
                searchPageFilmDetail.showPageFromLeft()
                mapsSearchPageHotelDetail.resetData()
            }
            else if(glValue.searchPageSelection == "Hotels")
            {
                glValue.currentPage = "searchPageHotelDetail"
                glValue.searchCurrentPage = "searchPageHotelDetail"

                mapsSearchPageHotelDetail.hidePageToRight()
                searchPageHotelDetail.showPageFromLeft()
                mapsSearchPageHotelDetail.resetData()
            }
            else if(glValue.searchPageSelection == "searchPageNightlifeDetailVenuePage")
            {
                glValue.currentPage = "searchPageNightlifeDetailVenuePage"
                glValue.searchCurrentPage = "searchPageNightlifeDetailVenuePage"
                glValue.searchPageSelection = "Nightlife & Music"

                mapsSearchPageHotelDetail.hidePageToRight()
                searchPageNightlifeDetailVenuePage.showPageFromLeft()
                mapsSearchPageHotelDetail.resetData()
            }
        }

        else if(glValue.searchCurrentPage == "searchPageNearbyList")
        {
            if(glValue.nearbySelectedPage == "searchPageRestaurantsDetail")
            {
                glValue.currentPage = "searchPageRestaurantsDetail"
                glValue.searchCurrentPage = "searchPageRestaurantsDetail"

                searchPageNearbyList.hidePageToRight()
                searchPageRestaurantsDetail.showPageFromLeft()
                searchPageNearbyList.resetData()
            }
            else if(glValue.searchCurrentPage == "searchPageNearbyList")
            {
                glValue.currentPage = "searchPageBarsClubsDetail"
                glValue.searchCurrentPage = "searchPageBarsClubsDetail"

                searchPageNearbyList.hidePageToRight()
                searchPageBarsClubsDetail.showPageFromLeft()
                searchPageNearbyList.resetData()
            }
        }
    }

    function backHomeEditorialsCurrentPage()
    {
        if(glValue.homeEditorialsCurrentPage == "editorialsDetail")
        {
            glValue.currentPage = "home"
            glValue.homeEditorialsCurrentPage = "home"

            editorialsDetail.hidePageToRight()
            homePage.showPageFromLeft()
            editorialsDetail.resetData()
            hideBackButton()
        }
    }

    function showEditButton()
    {
        favouritesEditButton.state = "show"
    }

    function hideEditButton()
    {
        favouritesEditButton.state = "hide"
    }

    function showDoneButton()
    {
        favouritesDoneButton.state = "show"
    }

    function hideDoneButton()
    {
        favouritesDoneButton.state = "hide"
    }

    Rectangle {
        id: pageContent
        x: 0
        y: 0
        width: parent.width
        height: parent.height
        color: "black"

        Image {
            anchors.fill: parent
            source: "images/topBarBG.png"

            Image {
                x: parent.width * 0.03
                y: parent.height * 0.04
                width: 109
                height: 72
                source: "images/topBarLogo.png"
            }

            Image {
                id: topBarBackButton
                x: parent.width * 0.76
                y: parent.height * 0.45
                width: 74 * glValue.appUIWidth / 360
                height: 37 * glValue.appUIHeight / 640
                opacity: 0
                source: "images/topBarBack.png"
                state: "hide"

                states:
                [
                    State
                    {
                        name: "show"
                        PropertyChanges { target: topBarBackButton; opacity: 1 }
                    },
                    State
                    {
                        name: "hide"
                        PropertyChanges { target: topBarBackButton; opacity: 0 }
                    }
                ]
                transitions:
                [
                    Transition {
                        from: "show"; to: "hide"
                        PropertyAnimation { properties: "x, opacity"; duration: 300; easing.type: Easing.InOutQuad }
                    },
                    Transition {
                        from: "hide"; to: "show"
                        PropertyAnimation { properties: "x, opacity"; duration: 300; easing.type: Easing.InOutQuad }
                    }
                ]

                MouseArea {
                    anchors.fill: parent
                    onClicked: {

                        if(glValue.currentPage == glValue.homeCurrentPage)
                        {
                            backHomeCurrentPage()
                        }
                        else if(glValue.currentPage == glValue.topTenCurrentPage)
                        {
                            backTopTenCurrentPage()
                        }
                        else if(glValue.currentPage == glValue.favouritesCurrentPage)
                        {
                            backFavouritesCurrentPage()
                        }
                        else if(glValue.currentPage == glValue.searchCurrentPage)
                        {
                            backSearchCurrentPage()
                        }
                        else if(glValue.currentPage == glValue.homeEditorialsCurrentPage)
                        {
                            backHomeEditorialsCurrentPage()
                        }
                    }
                }
            }

            Image {
                id: favouritesEditButton
                x: parent.width * 0.76
                y: parent.height * 0.45
                width: 79 * glValue.appUIWidth / 360
                height: 42 * glValue.appUIHeight / 640
                opacity: 0
                source: "images/editButton.png"
                state: "hide"

                states:
                [
                    State
                    {
                        name: "show"
                        PropertyChanges { target: favouritesEditButton; opacity: 1 }
                    },
                    State
                    {
                        name: "hide"
                        PropertyChanges { target: favouritesEditButton; opacity: 0 }
                    }
                ]
                transitions:
                [
                    Transition {
                        from: "show"; to: "hide"
                        PropertyAnimation { properties: "x, opacity"; duration: 300; easing.type: Easing.InOutQuad }
                    },
                    Transition {
                        from: "hide"; to: "show"
                        PropertyAnimation { properties: "x, opacity"; duration: 300; easing.type: Easing.InOutQuad }
                    }
                ]

                MouseArea {
                    anchors.fill: parent
                    onClicked: {
                        hideEditButton();
                        showDoneButton();

                        favouritesPage.showDeleteButton();
                    }
                }
            }

            Image {
                id: favouritesDoneButton
                x: parent.width * 0.76
                y: parent.height * 0.45
                width: 79 * glValue.appUIWidth / 360
                height: 42 * glValue.appUIHeight / 640
                opacity: 0
                source: "images/doneButton.png"
                state: "hide"

                states:
                [
                    State
                    {
                        name: "show"
                        PropertyChanges { target: favouritesDoneButton; opacity: 1 }
                    },
                    State
                    {
                        name: "hide"
                        PropertyChanges { target: favouritesDoneButton; opacity: 0 }
                    }
                ]
                transitions:
                [
                    Transition {
                        from: "show"; to: "hide"
                        PropertyAnimation { properties: "x, opacity"; duration: 300; easing.type: Easing.InOutQuad }
                    },
                    Transition {
                        from: "hide"; to: "show"
                        PropertyAnimation { properties: "x, opacity"; duration: 300; easing.type: Easing.InOutQuad }
                    }
                ]

                MouseArea {
                    anchors.fill: parent
                    onClicked: {
                        hideDoneButton();
                        showEditButton();

                        favouritesPage.hideDeleteButton();
                    }
                }
            }

        }
    }
}
